Security Enhanced Linux Reference Policy

# Layer: apps

## Module: xscreensaver

Tunables Interfaces Templates

### Description:

Modular screen saver and locker for X11.

### Tunables:

xscreensaver_read_generic_user_content

##### Default value

true

##### Description

Grant the xscreensaver domains read access to generic user content

Return

### Interfaces:

xscreensaver_domtrans( domain )

##### Summary

Make a domain transition to the xscreensaver target domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xscreensaver_run( domain , role )

##### Summary

Execute xscreensaver in the xscreensaver domain, and allow the specified role the xscreensaver domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

xscreensaver_send_dbus( domain )

##### Summary

send dbus messages to xscreensaver

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

xscreensaver_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for xscreensaver.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return